org.deidentifier.arx.framework.lattice

## Class DependentAction.NodeActionConstant

- java.lang.Object
- - org.deidentifier.arx.framework.lattice.DependentAction
  - - org.deidentifier.arx.framework.lattice.DependentAction.NodeActionConstant

Enclosing class:
  DependentAction

    public static class DependentAction.NodeActionConstant
    extends DependentAction

A trigger for nodes.

Author:
  Fabian Prasser, Florian Kohlmayer

### Nested Class Summary

### Nested classes/interfaces inherited from class org.deidentifier.arx.framework.lattice.DependentAction

`DependentAction.NodeActionConstant, DependentAction.NodeActionInverse`

### Constructor Summary

Constructors
Constructor and Description
`NodeActionConstant(boolean result)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `appliesTo(Transformation<?> transformation)` Determines whether the trigger action should be performed.

### Methods inherited from class org.deidentifier.arx.framework.lattice.DependentAction

`action, apply`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeActionConstant

    public NodeActionConstant(boolean result)

Creates a new instance

Parameters:
  `result` -

### Method Detail

#### appliesTo

    public boolean appliesTo(Transformation<?> transformation)

Description copied from class: `DependentAction`
Determines whether the trigger action should be performed.

Specified by:
  `appliesTo` in class `DependentAction`
Returns: